<?xml version="1.0" encoding="UTF-8"?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xfm="http://www.w3.org/2002/xforms" xmlns:xlink="http://www.w3.org/1999/xlink " xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:my="http://commerce.example.com/payment" xmlns:ev="http://www.w3.org/2001/xml-events" xml:lang="en">
	<head>
		<!--
		<link rel="stylesheet" type="text/css" href="bookmarks.css" />-->
		<style type="text/css">
			@namespace xforms url(http://www.w3.org/2002/xforms);
			/*body {background-color: #eeeeee;}*/
			body {background-color: white;}
			input.linkinput {width: 280px;background-color:#eeeeee;}
			input.linkinput label {caption-side:right;}
			input.section {font-size: 20px;width: 580px;background-color:#eeeeee;}
			input.section label {background-color:blue;color:white;width:580px;}
			p.link {margin-top:1px;margin-bottom:1px;padding-left:20px;}
			p.section {border-style:solid;border-width:2px;background-color:#eeeeee;padding-left:20px;padding-top:8px;}
			div.main {margin-left: 20px;}
			submit {color:black;font-weight:bold;font-size:14pt;}
                        submit::value {background-color:#eeeeee;}
			trigger.go {font-size:9pt;}
			/*select1 {background-color: white;}*/
			td,tr,table {border-width:0px;}
                        /* the new table support finally works! */
			.optionsbox {border-width: 2px; border-style:solid;background-color:#eeeeee;padding:10px;width: 550px;overflow:scroll;height:500px;}
			
			group.optionsbox > label {font-size: 18pt;font-width:bold;margin-bottom:10px;background-color:silver;color:black;}
			group.subgroup {border-width:1px;border-style:solid;padding:5px;}
			group.subgroup > label {font-weight:bold;font-size: 14pt;}
			.header {padding-left: 0px;margin-top: 0px;}
			
			input.mlfcmlfc {width:200px;}
			input.mlfcurl {width:200px;}
			input.mlfcenabled {}
			
			input.uri {width:400px;}
			hint {display:none!important;}
			select1.smil {width:200px;}
			.submitbutton {width:110px;margin-top:8px;}
			.pageselector::value {}
			td {vertical-align:top;}
                        
                        h1 {margin-bottom: 10px;}
                        
                        input.boolean label, input.boolean::value {display:inline ! important;}
                        input.boolean , input.boolean::value {background-color:#eeeeee;}
                        /* the repeat in mlfc group */
                        group.mlfcgroup input, group.mlfcgroup input label, group.mlfcgroup input::value {display:inline ! important;} 
                        group.mlfcgroup input.mlfcurl::value {width:180px;}
                        group.mlfcgroup input.mlfcmlfc::value {width:180px;}
                        group.mlfcgroup {margin:0px;padding:0px;}
			
			/* for some reason, the renderer hangs is some xforms controls are inline */
			xforms|label,xforms|input::value,xforms|* {display:block;} 
            input::value,textarea::value {background-color:white;}
			textarea.profilediff::value {width: 400px; height:200px;}
			
		</style>
		<title>X-Smiles Preferences</title>
		<xfm:model id="form1" schema="config.xsd">
			<xfm:submission id="submit1" method="put" action="./config.xml" replace="none" />
			<xfm:schema />
			<xfm:instance src="config.xml" id="config" />
			<xfm:instance id="pages" xmlns="">
				<pages>
					<pagelist>
						<page name="main" />
						<page name="smil" />
					</pagelist>
					<selection>main</selection>
				</pages>
			</xfm:instance>
			<xfm:instance src="config_options.xml" id="options" />
			<xfm:bind nodeset="/config/gui/devices/pda/showkeys" type="xsd:boolean" />
			<xfm:bind nodeset="/config/gui/antialias/enabled" type="xsd:boolean" />
			<xfm:bind nodeset="/config/xforms/configuration/basic" type="xsd:boolean" />
			<xfm:bind nodeset="/config/security/policy/enabled" type="xsd:boolean" />
			<xfm:bind nodeset="/config/security/applets/enabled" type="xsd:boolean" />
			<xfm:bind nodeset="/config/security/javascript/enabled" type="xsd:boolean" />
			<xfm:bind nodeset="/config/main/httpclient/enabled" type="xsd:boolean" />
			<xfm:bind nodeset="/config/main/socketservice/enabled" type="xsd:boolean" />
			<xfm:bind nodeset="/config/main/soapsocket/enabled" type="xsd:boolean" />
			<xfm:bind nodeset="/config/main/rexsocket/enabled" type="xsd:boolean" />
                        <xfm:bind nodeset="/config/main/wesahmisip/enabled" type="xsd:boolean" />

		</xfm:model>
	</head>
	<body>
		<div class="main">
			<h1 class="header">X-Smiles Preferences</h1>
			<table>
				<tr>
					<td>
						<xfm:group>
							<xfm:select1 ref="instance('pages')/selection" appearance="compact" class="pageselector">
								<!--<xfm:label></xfm:label>-->
								<xfm:item>
									<xfm:label>Main</xfm:label>
									<xfm:value>main</xfm:value>
									<xfm:toggle case="maincase" ev:event="xforms-select" />
								</xfm:item>
								<xfm:item>
									<xfm:label>Security</xfm:label>
									<xfm:value>security</xfm:value>
									<xfm:toggle case="securitycase" ev:event="xforms-select" />
								</xfm:item>

								<xfm:item>
									<xfm:label>SMIL</xfm:label>
									<xfm:value>smil</xfm:value>
									<xfm:toggle case="smilcase" ev:event="xforms-select" />
								</xfm:item>
								<xfm:item>
									<xfm:label>Timesheet</xfm:label>
									<xfm:value>timesheet</xfm:value>
									<xfm:toggle case="timesheetcase" ev:event="xforms-select" />
								</xfm:item>
								<xfm:item>
									<xfm:label>XFrames</xfm:label>
									<xfm:value>XFrames</xfm:value>
									<xfm:toggle case="xframescase" ev:event="xforms-select" />
								</xfm:item>
								
								<xfm:item>
									<xfm:label>Logging</xfm:label>
									<xfm:value>logging</xfm:value>
									<xfm:toggle case="logcase" ev:event="xforms-select" />
								</xfm:item>
								<xfm:item>
									<xfm:label>SIP</xfm:label>
									<xfm:value>sip</xfm:value>
									<xfm:toggle case="sipcase" ev:event="xforms-select" />
								</xfm:item>		
								<xfm:item>
									<xfm:label>CCPP</xfm:label>
									<xfm:value>ccpp</xfm:value>
									<xfm:toggle case="ccppcase" ev:event="xforms-select" />
								</xfm:item>
								<xfm:item>
									<xfm:label>MLFC</xfm:label>
									<xfm:value>mlfc</xfm:value>
									<xfm:toggle case="mlfccase" ev:event="xforms-select" />
								</xfm:item>
							</xfm:select1>
						</xfm:group>
						<xfm:group>
							<xfm:submit name="Submit" submission="submit1" class="submitbutton">
								<xfm:hint>Click to save config</xfm:hint>
								<xfm:label>Save</xfm:label>
							</xfm:submit>
						</xfm:group>
					</td>
					<td>
						<xfm:switch>
							<!-- 
									
			************************			Main               *********************
									
									-->
							<xfm:case id="maincase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>Main</xfm:label>
									<xfm:group>
										<xfm:input ref="/config/main/homepage" class="uri">
											<xfm:label>Homepage</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group class="subgroup">
										<xfm:label>HTTP Proxy</xfm:label>
										<xfm:group>
											<xfm:input ref="/config/main/useproxy" class="boolean">
												<xfm:label>Use a HTTP proxy</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/main/proxyhost">
												<xfm:label>HTTP proxy host</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/main/proxyport" cols="4">
												<xfm:label>HTTP proxy port</xfm:label>
											</xfm:input>
										</xfm:group>
									</xfm:group>
									<xfm:group class="subgroup">
										<xfm:label>GUI</xfm:label>
										<xfm:group>
											<xfm:select1 ref="/config/gui/initialgui" appearance="minimal">
												<xfm:label>Initial GUI</xfm:label>
												<xfm:itemset nodeset="instance('options')/gui/initialgui/item">
													<xfm:value ref="value" />
													<xfm:label ref="label" />
												</xfm:itemset>
											</xfm:select1>
											<xfm:select1 ref="/config/gui/theme" appearance="minimal">
												<xfm:label>Theme</xfm:label>
												<xfm:itemset nodeset="instance('options')/gui/theme /item">
   	   												<xfm:value ref="value" />
													<xfm:label ref="value" />
												</xfm:itemset>
											</xfm:select1>

										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/gui/devices/pda/showkeys" class="boolean">
												<xfm:label>Show keypad in PDA gui.</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/gui/skinsenabled" class="boolean">
												<xfm:label>Skin Look and Feel</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/gui/virtualproto" class="boolean">
												<xfm:label>Virtual Prototype mode</xfm:label>
											</xfm:input>
										</xfm:group>
    									<xfm:group>
											<xfm:input ref="/config/gui/antialias/enabled" class="boolean">
												<xfm:label>Enable anti-aliasing in CSS rendering</xfm:label>
											</xfm:input>
											<xfm:input ref="/config/gui/antialias/minalias" >
												<xfm:label>Minimum font size to anti-alias</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:select1 ref="/config/gui/openextlinks" appearance="minimal">
												<xfm:label>Open links from other applications in</xfm:label>
												<xfm:item>
													<xfm:value>tab</xfm:value>
													<xfm:label>New tab</xfm:label>
												</xfm:item>
												<xfm:item>
													<xfm:value>window</xfm:value>
													<xfm:label>New window</xfm:label>
												</xfm:item>
												<xfm:item>
													<xfm:value>same</xfm:value>
													<xfm:label>Same window</xfm:label>
												</xfm:item>
											</xfm:select1>
										</xfm:group>
									</xfm:group>
									<!-- /config/xforms/configuration/basic-->
									<xfm:group class="subgroup">
										<xfm:label>XForms</xfm:label>
										<xfm:group>
											<xfm:input ref="/config/xforms/configuration/basic" >
												<xfm:label>Emulate XForms Basic</xfm:label>
											</xfm:input>
										</xfm:group>
									</xfm:group>
								<xfm:group class="subgroup" ref="instance('config')/main">
									<xfm:label>General</xfm:label>
									<xfm:group>
										<xfm:input ref="/config/html_fo_conversion/tidy_conversion" class="boolean">
											<xfm:label>Enable HTML to XHTML conversion using nekoHTML</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group>
										<xfm:input ref="/config/media/lightweight" class="boolean">
											<xfm:label>Use modular lightweight mpg plug-in players</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group>
										<xfm:input ref="/config/main/httpclient/enabled" class="boolean">
											<xfm:label>Enable HTTPClient for HTTP connections</xfm:label>
											<xfm:hint>This will enable e.g. cookies. Recommended to keep this enabled.</xfm:hint>
										</xfm:input>
									</xfm:group>

								</xfm:group>
								<!--	<xfm:group class="subgroup">
										<xfm:label>Socket Service for SLP UA</xfm:label>
										<xfm:group>
											<xfm:input ref="/config/main/socketservice/enabled" class="boolean">
												<xfm:label>Enable the service</xfm:label>
											</xfm:input>
										</xfm:group>
											<xfm:input ref="/config/main/socketservice/port" cols="4">
												<xfm:label>Service socket port</xfm:label>
											</xfm:input>
       								</xfm:group>

                                <xfm:group class="subgroup">
										<xfm:label>Socket Service for SOAP Messages</xfm:label>
										<xfm:group>
											<xfm:input ref="/config/main/soapsocket/enabled" class="boolean">
												<xfm:label>Enable the service</xfm:label>
											</xfm:input>
										</xfm:group>
											<xfm:input ref="/config/main/soapsocket/port" cols="4">
												<xfm:label>Service socket port</xfm:label>
											</xfm:input>
										</xfm:group>-->
										
									<xfm:group class="subgroup">
										<xfm:label>WeSAHMI Airline System</xfm:label>
										<xfm:group>
											<xfm:input ref="/config/main/wesahmisip/enabled" class="boolean">
												<xfm:label>Enable the service</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:input ref="/config/main/wesahmisip/clientID" cols="50">
											<xfm:label>Client ID</xfm:label>
										</xfm:input>
										<xfm:input ref="/config/main/wesahmisip/flightID" cols="50">
											<xfm:label>Flight</xfm:label>
										</xfm:input>
										<xfm:input ref="/config/main/wesahmisip/flightTime" cols="50">
											<xfm:label>Date and Time</xfm:label>
										</xfm:input>
										<xfm:input ref="/config/main/wesahmisip/sipaddress" cols="50">
											<xfm:label>SIP Address</xfm:label>
										</xfm:input>
										<xfm:input ref="/config/main/wesahmisip/service" cols="50">
											<xfm:label>Service ID</xfm:label>
										</xfm:input>
									<!--	<xfm:input ref="/config/main/wesahmisip/url" cols="100">
											<xfm:label>Service URL</xfm:label>
										</xfm:input>-->
									</xfm:group>

									<xfm:group class="subgroup">
                                                <xfm:label>Socket Service for REX Events</xfm:label>
                                                <xfm:group>
                                                        <xfm:input ref="/config/main/rexsocket/enabled" class="boolean">
                                                                <xfm:label>Enable the service</xfm:label>
                                                        </xfm:input>
                                                </xfm:group>
                                                        <xfm:input ref="/config/main/rexsocket/port" cols="4">
                                                                <xfm:label>Service socket port</xfm:label>
                                                        </xfm:input>
                                                </xfm:group>
										
										
          
                                                                          
                                                                          
                                                                        </xfm:group>
							</xfm:case>
							<!--
			************************			SECURITY               *********************
									
									-->
							<xfm:case id="securitycase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>Security</xfm:label>
									<xfm:group class="subgroup">
									<xfm:label>General Security</xfm:label>
										<xfm:input ref="/config/security/policy/enabled" class="boolean">
											<xfm:label>Enable xsmiles.policy security policy. </xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group  class="subgroup">
									<xfm:label>Applets</xfm:label>
										<xfm:input ref="/config/security/applets/enabled" class="boolean">
											<xfm:label>Enable Java Applets.</xfm:label>
										</xfm:input>
										<!--
										<xfm:input ref="/config/security/applets/security" class="boolean">
											<xfm:label>Enable applet security</xfm:label>
										</xfm:input>
										-->
									</xfm:group>
									<xfm:group class="subgroup">
									<xfm:label>Scripts</xfm:label>
										<xfm:input ref="/config/security/javascript/enabled" class="boolean">
											<xfm:label>Enable ECMAScript and Javascript in pages</xfm:label>
										</xfm:input>
										<!--
										<xfm:input ref="/config/security/javascript/security" class="boolean">
											<xfm:label>Enable script security (Dangerous to disable)</xfm:label>
										</xfm:input>
										-->
									</xfm:group>
								</xfm:group>
							</xfm:case>
							<!-- 
									
			************************			SMIL               *********************
									
									-->
							<xfm:case id="smilcase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>SMIL</xfm:label>
									<xfm:group>
										<xfm:select1 ref="/config/smil/systemBitrate" appearance="minimal" class="smil">
											<xfm:label>Bitrate</xfm:label>
											<xfm:itemset nodeset="instance('options')/smil/systemBitrate/item">
												<xfm:value ref="value" />
												<xfm:label ref="label" />
											</xfm:itemset>
										</xfm:select1>
									</xfm:group>
									<xfm:group>
										<xfm:select1 ref="/config/smil/systemLanguage" appearance="minimal" class="smil">
											<xfm:label>Preferred Language</xfm:label>
											<xfm:itemset nodeset="instance('options')/smil/systemLanguage/item">
												<xfm:value ref="value" />
												<xfm:label ref="label" />
											</xfm:itemset>
										</xfm:select1>
									</xfm:group>
									<xfm:group>
										<xfm:select1 ref="/config/smil/systemCaptions" appearance="minimal" class="smil">
											<xfm:label>Show captions if possible</xfm:label>
											<xfm:item>
												<xfm:value>on</xfm:value>
												<xfm:label>On</xfm:label>
											</xfm:item>
											<xfm:item>
												<xfm:value>off</xfm:value>
												<xfm:label>Off</xfm:label>
											</xfm:item>
										</xfm:select1>
									</xfm:group>
									<xfm:group>
										<xfm:select1 ref="/config/smil/systemOverdubOrSubtitle" appearance="minimal" class="smil">
											<xfm:label>Overdub or subtitles if available (the same as overdub or caption)</xfm:label>
											<xfm:item>
												<xfm:value>subtitle</xfm:value>
												<xfm:label>Subtitle</xfm:label>
											</xfm:item>
											<xfm:item>
												<xfm:value>overdub</xfm:value>
												<xfm:label>Overdub</xfm:label>
											</xfm:item>
										</xfm:select1>
									</xfm:group>
									<xfm:group>
										<xfm:select1 ref="/config/smil/systemAudioDesc" appearance="minimal" class="smil">
											<xfm:label>Play audio descriptions if possible</xfm:label>
											<xfm:item>
												<xfm:value>on</xfm:value>
												<xfm:label>On</xfm:label>
											</xfm:item>
											<xfm:item>
												<xfm:value>off</xfm:value>
												<xfm:label>Off</xfm:label>
											</xfm:item>
										</xfm:select1>
									</xfm:group>
									<xfm:group>
										<xfm:select1 ref="/config/smil/systemCPU" appearance="minimal" class="smil">
											<xfm:label>System CPU:</xfm:label>
											<xfm:itemset nodeset="instance('options')/smil/systemCPU/item">
												<xfm:value ref="value" />
												<xfm:label ref="label" />
											</xfm:itemset>
										</xfm:select1>
									</xfm:group>
									<xfm:group>
										<xfm:select1 ref="/config/smil/systemOperatingSystem" appearance="minimal" class="smil">
											<xfm:label>Operating System:</xfm:label>
											<xfm:itemset nodeset="instance('options')/smil/systemOperatingSystem/item">
												<xfm:value ref="value" />
												<xfm:label ref="label" />
											</xfm:itemset>
										</xfm:select1>
									</xfm:group>
									<!--
									<xfm:group>
									</xfm:group>
									<xfm:group>
									</xfm:group>
									<xfm:group>
									</xfm:group>
									<xfm:group>
									</xfm:group>
									<xfm:group>
									</xfm:group>
									<xfm:group>
									</xfm:group>
									<xfm:group>
									</xfm:group>
									<xfm:group>
									</xfm:group>
											<xfm:label>Bitrate</xfm:label>
									-->
								</xfm:group>
							</xfm:case>
							<!-- 

			************************			LOG             *********************
									
									-->
							<xfm:case id="logcase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>Logging</xfm:label>
										<xfm:group>
											<xfm:select1 ref="/config/logging/target" appearance="full">
												<xfm:label>Target</xfm:label>
												<xfm:item>
													<xfm:value>default</xfm:value>
													<xfm:label>Default output</xfm:label>
												</xfm:item>
												<xfm:item>
													<xfm:value>window</xfm:value>
													<xfm:label>External window</xfm:label>
												</xfm:item>
												<xfm:item>
													<xfm:value>file</xfm:value>
													<xfm:label>Log to file</xfm:label>
												</xfm:item>
											</xfm:select1>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/logfile">
												<xfm:label>Filename</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/debuglevel/info" class="boolean">
												<xfm:label>Show info messages</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/debuglevel/debug" class="boolean">
												<xfm:label>Show debug messages</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/debuglevel/eventsdebug" class="boolean">
												<xfm:label>Show events debug messages</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/debuglevel/xformsdebug" class="boolean">
												<xfm:label>Show extra XForms debug (XPath calls)</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/debuglevel/httpdebug" class="boolean">
												<xfm:label>Show HTTP debug for HTTPClient</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/debuglevel/errmsgsource" class="boolean">
												<xfm:label>Parse source file and linenumber for error messages</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/logging/debuglevel/debugmsgsource" class="boolean">
												<xfm:label>Parse source file and linenumber for debug messages</xfm:label>
											</xfm:input>
										</xfm:group>
								</xfm:group>
							</xfm:case>

							<!--
							
           ***********************         Timesheet             ***************************
           
							-->

							<xfm:case id="timesheetcase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>Timesheet</xfm:label>
									<xfm:group>
										<xfm:input ref="/config/timesheet/showclock" class="boolean">
											<xfm:label>Show clock</xfm:label>
										</xfm:input>
									</xfm:group>
								</xfm:group>
							</xfm:case>

                           <!--
							
           ***********************        XFrames             ***************************
           
							-->

							<xfm:case id="xframescase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>XFrames</xfm:label>
									<xfm:group>
										<xfm:input ref="/config/xframes/menuswhentabbed" class="boolean">
											<xfm:label>Use menu to select tabs in tabbed mode</xfm:label>
										</xfm:input>
									</xfm:group>
								</xfm:group>
							</xfm:case>


							<!-- 

			************************			SIP               *********************
									
									-->
							<xfm:case id="sipcase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>SIP</xfm:label>
										<xfm:group>
											<xfm:input ref="/config/sip/videocapture" class="boolean">
												<xfm:label>Capture video</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/username" cols="10" style="caption-side:left;">
												<xfm:label>Username:</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/address" cols="50" style="caption-side:left;">
												<xfm:label>Local SIP address:</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/servername" style="caption-side:left;">
												<xfm:label>SIP proxy server hostname:</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/password" style="caption-side:left;">
												<xfm:label>Password:</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/localport" style="caption-side:left;">
												<xfm:label>SIP connection port:</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/audioport" style="caption-side:left;">
												<xfm:label>Audio port:</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/videoport" style="caption-side:left;">
												<xfm:label>Video port:</xfm:label>
											</xfm:input>
										</xfm:group>
										<xfm:group>
											<xfm:input ref="/config/sip/messageport" style="caption-side:left;">
												<xfm:label>Message port:</xfm:label>
											</xfm:input>
										</xfm:group>
								</xfm:group>
							</xfm:case>
							<!-- 
									
			************************			CCPP               *********************
									
									-->
							<xfm:case id="ccppcase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>CC/PP</xfm:label>
									<xfm:group>
										<xfm:input ref="/config/ccpp/enabled" class="boolean">
											<xfm:label>Enable CC/PP</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group>
										<xfm:input ref="/config/gui/devices/desktop/ccppInRDF" class="uri">
											<xfm:label>Desktop Profile URI:</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group>
										<xfm:input ref="/config/gui/devices/digitv/ccppInRDF" class="uri">
											<xfm:label>DigiTV Profile URI:</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group>
										<xfm:input ref="/config/gui/devices/pda/ccppInRDF" class="uri">
											<xfm:label>PDA Profile URI:</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group>
										<xfm:input ref="/config/gui/devices/phone/ccppInRDF" class="uri">
											<xfm:label>Phone Profile URI:</xfm:label>
										</xfm:input>
									</xfm:group>
									<xfm:group>
										<xfm:textarea ref="/config/ccpp/profilediff" class="profilediff">
											<xfm:label>Profile Diff:</xfm:label>
										</xfm:textarea>
									</xfm:group>
									<!--




-->
								</xfm:group>
							</xfm:case>
							<!-- 
									
			************************			General               *********************
									
									-->
<!--							<xfm:case id="generalcase">
							</xfm:case>-->
							<!-- 
									
			************************			MLFC               *********************
									
									-->
							<xfm:case id="mlfccase">
								<xfm:group class="optionsbox" ref="instance('config')/main">
									<xfm:label>MLFC Mappings</xfm:label>
									<xfm:group class="subgroup">
										<xfm:label>Namespace mappings</xfm:label>
										<xfm:repeat nodeset="/config/mlfcmappings/namespace" id="namespacerepeat">
											<xfm:group class="mlfcgroup">
												<xfm:input ref="@mlfc" class="mlfcmlfc" />
												<xfm:input ref="@url" class="mlfcurl" />
												<xfm:input ref="." class="mlfcenabled" />
											</xfm:group>
										</xfm:repeat>
									</xfm:group>
									<xfm:group class="subgroup">
										<xfm:label>Root element name mappings</xfm:label>
										<xfm:repeat nodeset="/config/mlfcmappings/rootelement" id="rootelementrepeat">
											<xfm:group class="mlfcgroup">
												<xfm:input ref="@element" class="mlfcurl" />
												<xfm:input ref="@mlfc" class="mlfcmlfc" />
												<xfm:input ref="." class="mlfcenabled" />
											</xfm:group>
										</xfm:repeat>
									</xfm:group>
								</xfm:group>
							</xfm:case>
                            
                            
						</xfm:switch>
					</td>
				</tr>
			</table>
		</div>
	</body>
</html>
